Đến nội dung


Hình ảnh
- - - - -

Cải tiến lisp trừ số một cách công nghiệp !!!!!!


  • Please log in to reply
8 replies to this topic

#1 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 26 September 2009 - 08:41 AM

Hiện tại em đang có lisp trừ số 1 cách khá thủ công
Command : TRU
So bi tru: chọn Text
So tru : chọn Text
Ket qua : ( Select text to add result )

Nhưng khi có nhiều text phải trừ như vậy thì việc làm rất mất thời gian.
Đề bài : Có 3 cột Text là dạng số, khá thẳng hàng nhau, cho phép tọa độ X sai số trong 1 hàng là 5 đơn vị
Cột 1(A) : Số bị trừ
Cột2 (:cheers:: số trừ
Cột 3 © : Kết quả
Em muốn bác Pro cải tiến Lisp trừ số này để sao cho :
Command: TRU
So bi tru: chọn all Text là số bị trừ
So tru : chọn all Text là số trừ
Ket qua : chọn all text để gán kết quả

Lisp sẽ thực hiên trừ tương ứng theo từng hàng 1. A1-B1 gán KQ vào C1, A2-B2 gán KQ vào C2....
cho phép A1, B1, C1 sai khác tọa độ X là 5
Mong các bác pro quan tâm giúp đỡ.
CODE

;;=============== Tru 2 so cho nhau =========================
(defun c:TRU()
(setvar "CMDECHO" 0)
(setq s (entget (car (entsel "\n Chon So bi tru: "))))
(setq otext (assoc 1 s))
(setq ot (cdr otext))
(setq ot (read (substr ot 1 )))
(setq s1 (entget (car (entsel "\n Chon so tru: "))))
(setq otext1 (assoc 1 s1))
(setq ot1 (cdr otext1))
(setq ot1 (read (substr ot1 1)))
(if co1 (setq co2 (getreal (strcat "\nHe so <" (rtos co1) ">:")))
(setq co1 (getreal "\nHe so :" )))
(if co2 (setq co1 co2))
(setq giatri (entget (car (entsel "\n Text chua ket qua =: "))))
(command "luprec" "2")
(setq gia (assoc 1 giatri))
(setq nt1 (cons 1 (rtos(* co1 (- ot ot1)) )))
(setq giatri (subst nt1 gia giatri))
(entmod giatri)
(princ)
)
  • 0
Hoàng Giang

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 26 September 2009 - 12:17 PM

Hiện tại em đang có lisp trừ số 1 cách khá thủ công
Command : TRU
So bi tru: chọn Text
So tru : chọn Text
Ket qua : ( Select text to add result )

Nhưng khi có nhiều text phải trừ như vậy thì việc làm rất mất thời gian.
Đề bài : Có 3 cột Text là dạng số, khá thẳng hàng nhau, cho phép tọa độ X sai số trong 1 hàng là 5 đơn vị
Cột 1(A) : Số bị trừ
Cột2 (:cheers:: số trừ
Cột 3 © : Kết quả
Em muốn bác Pro cải tiến Lisp trừ số này để sao cho :
Command: TRU
So bi tru: chọn all Text là số bị trừ
So tru : chọn all Text là số trừ
Ket qua : chọn all text để gán kết quả

Lisp sẽ thực hiên trừ tương ứng theo từng hàng 1. A1-B1 gán KQ vào C1, A2-B2 gán KQ vào C2....
cho phép A1, B1, C1 sai khác tọa độ X là 5
Mong các bác pro quan tâm giúp đỡ.

Bạn sử dụng Lisp này nhé :
Lệnh là T2cs
http://www.cadviet.c...iles/2/t2cs.rar
  • 1

#3 cd2k44

cd2k44

    Edu level: li5

  • Members
  • PipPipPipPipPipPipPip
  • 648 Bài viết
Điểm đánh giá: 121 (tàm tạm)

Đã gửi 21 October 2009 - 05:15 PM

Bạn sử dụng Lisp này nhé :
Lệnh là T2cs
http://www.cadviet.c...iles/2/t2cs.rar

Bác Tue_NV có thể viết thành lsp nhân hai hàng hai cột và ghi kết quả vào cột thứ 3 như lsp T2CS kia giùm em với.Em đang cần lisp này, cảm ơn bác Tue_NV
  • 0

#4 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 June 2012 - 11:22 AM

Bạn sử dụng Lisp này nhé :
Lệnh là T2cs
http://www.cadviet.c...iles/2/t2cs.rar

Lisp hay nhưng giá mà có thêm các phép tính +, * và / nữa thì hay hơn... cái này có trên diễn đàn chưa vậy Mấy Bác???
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 June 2012 - 01:35 PM

Lisp hay nhưng giá mà có thêm các phép tính +, * và / nữa thì hay hơn... cái này có trên diễn đàn chưa vậy Mấy Bác???

Bạn tìm từ khóa defun c:tinh
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 June 2012 - 01:56 PM

Bạn tìm từ khóa defun c:tinh

Bác Ketxu ơi! em chỉ thấy phép tính +, -, * ,/ theo kiểu thủ công thôi, em muốn cộng, trừ, nhân, chia theo từng cột hoặc từng hàng... giống như Lisp của Bác Tue_NV ấy, Bác nào biết chỉ giúp!!!,
  • 0

#7 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5684 Bài viết
Điểm đánh giá: 2606 (tuyệt vời)

Đã gửi 29 June 2012 - 02:36 PM

Trên diễn đàn cũng có rồi, bạn tiếp tục tìm với từ khóa lisp cộng theo hàng cột xem sao
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#8 tien2005

tien2005

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 257 Bài viết
Điểm đánh giá: 94 (tàm tạm)

Đã gửi 29 June 2012 - 03:02 PM

Bác Tue_NV có thể viết thành lsp nhân hai hàng hai cột và ghi kết quả vào cột thứ 3 như lsp T2CS kia giùm em với.Em đang cần lisp này, cảm ơn bác Tue_NV


trước đây mình có post lisp dùng thống kê thép: dk * c.dài rồi thay đổi trên cột khối lượng. Bạn tìm các bài vết của mình trên forum để có lisp nhân, còn cộng trừ, chia thì thì chỉnh lại phép tính là ok
  • 0

#9 quangthanhdu

quangthanhdu

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 June 2012 - 03:04 PM

Trên diễn đàn cũng có rồi, bạn tiếp tục tìm với từ khóa lisp cộng theo hàng cột xem sao

Cảm ơn Bác ketxu!!!
  • 0